ru.bitel.bgbilling.modules.payonline.common.service

## Interface PayOnlineService

- All Superinterfaces:
    PaymentServiceProvider

      public interface PayOnlineService
      extends PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransactions(java.lang.String transactions)`
    `void` | `deleteContractRebillTransaction(int rebillTransactionId)`
    `void` | `deleteTransactions(java.util.List<java.lang.Integer> transactionIds)`
    `void` | `doManualAutopayment(int contractId, java.math.BigDecimal sum)` Ручной автоплатеж
    `Autopayment` | `getAutopaymentCurrentMode(int contractId)` Возвращает текущий режим автоплатежа
    `Rebill` | `getContractRebillTransaction(int contractId)`
    `java.util.List<IdTitle>` | `getContractTitles(java.util.List<java.lang.Integer> contractIds)`
    `SearchResult<Autopayment>` | `searchAutopaymentList(int contractId, Period period, java.lang.String[] sort, Page page)` Возращает историю изменения автоплатежей на договоре
    `SearchResult<RebillTransaction>` | `searchRebillTransactions(java.lang.String result, Period period, java.lang.String[] sort, Page page)`
    `SearchResult<Transaction>` | `searchTransactions(int contractId, java.lang.String contractTitle, java.lang.String transactionStatus, Period period, java.lang.String[] sort, Page page)`

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- - ### Method Detail

    - #### searchTransactions

          SearchResult<Transaction> searchTransactions(int contractId,
                                                       java.lang.String contractTitle,
                                                       java.lang.String transactionStatus,
                                                       Period period,
                                                       java.lang.String[] sort,
                                                       Page page)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransactions

          void addTransactions(java.lang.String transactions)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteTransactions

          void deleteTransactions(java.util.List<java.lang.Integer> transactionIds)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTitles

          java.util.List<IdTitle> getContractTitles(java.util.List<java.lang.Integer> contractIds)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractRebillTransaction

          Rebill getContractRebillTransaction(int contractId)
                                       throws ru.bitel.bgbilling.common.BGException,
                                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteContractRebillTransaction

          void deleteContractRebillTransaction(int rebillTransactionId)
                                        throws ru.bitel.bgbilling.common.BGException,
                                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchRebillTransactions

          SearchResult<RebillTransaction> searchRebillTransactions(java.lang.String result,
                                                                   Period period,
                                                                   java.lang.String[] sort,
                                                                   Page page)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAutopaymentCurrentMode

          Autopayment getAutopaymentCurrentMode(int contractId)
                                         throws ru.bitel.bgbilling.common.BGException

      Возвращает текущий режим автоплатежа
      Parameters:
        `contractId` - код договора
      Returns:
        Объект с параметрами текущего режима автоплатежа или null
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchAutopaymentList

          SearchResult<Autopayment> searchAutopaymentList(int contractId,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Возращает историю изменения автоплатежей на договоре
      Parameters:
        `contractId` -
        `period` -
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doManualAutopayment

          void doManualAutopayment(int contractId,
                                   java.math.BigDecimal sum)
                            throws ru.bitel.bgbilling.common.BGException

      Ручной автоплатеж
      Parameters:
        `contractId` -
        `sum` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`